# vim bindings
bindkey -v
export KEYTIMEOUT=1

# Use vim cli mode
bindkey '^P' up-history
bindkey '^N' down-history

# backspace and ^h working even after
# returning from command mode
bindkey '^?' backward-delete-char
bindkey '^h' backward-delete-char

# ctrl-w removed word backwards
bindkey '^w' backward-kill-word

# ctrl-r starts searching history backward
bindkey '^r' history-incremental-search-backward

if [ "light" = "$THEME_SWITCHER" ]; then
    ZSH_THEME="sunrise"
else
    ZSH_THEME="agnoster"
fi
HIST_STAMPS="dd.mm.yyyy"
COMPLETION_WAITING_DOTS="true"

export EDITOR="vim"
source $HOME/.dotfiles/zsh/aliases.zsh

# fzf settings
if type rg > /dev/null; then
    # Use ripgrep instead of find and exclude .gitignored files
    export FZF_DEFAULT_COMMAND='rg --files'
    export FZF_CTRL_T_COMMAND="$FZF_DEFAULT_COMMAND"
    _fzf_compgen_path() {
        rg --files "$1"
    }
fi

swth()
{
    if [ "$THEME_SWITCHER" = "light" ]; then
        unset THEME_SWITCHER
        source ~/.zshrc
    else
        export THEME_SWITCHER="light"
        source ~/.zshrc
    fi
}
